Bug 3515 - Bad: apt broken
: Bad: apt broken
Status: CLOSED DUPLICATE of bug 3514
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-19 13:05 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-19 13:05:36
JFYI: apt-0.5.5cnc4.1-alt7 is broken.
------- Comment #1 From 2004-01-19 13:20:52 -------
В Сизифе уже apt-0.5.15cnc5-alt1 
------- Comment #2 From 2004-01-19 13:27:23 -------
Промахнулся хостом (xterm'ом) -- вот тот, что в сизифе, как раз и broken.
apt-0.5.15cnc5-alt1.

Неужто никто не попытался его использовать?

# apt-get update
E: The method driver /usr/lib/apt/file could not be found.

# rpm -V apt-0.5.15cnc5-alt1 libapt-0.5.15cnc5-alt1
S.5....T c /etc/apt/apt.conf

(для насущных нужд пока натыкал туда симлинков, но это как бы слегка не дело,
так?)
------- Comment #3 From 2004-01-19 13:30:18 -------
У меня работает, проверял в пятницу и субботу на нескольких машинах методы file
и 
ftp. 
------- Comment #4 From 2004-01-19 13:36:11 -------

*** This bug has been marked as a duplicate of 3514 ***
------- Comment #5 From 2004-01-19 13:41:21 -------
Гм.  Тогда все равно не понял, почему при миграции не был изменен apt.conf,
если
достоверно известно, что без этого он сломается?..  

Понятно, что *.rpmnew, но если при его создании практически всем, у кого он
создастся, потребуется делать замену руками -- почему бы и не заскриптовать.
------- Comment #6 From 2004-01-19 13:45:36 -------
Мне не пришло в голову, что у кого-то в apt.conf есть такая конструкция. 
------- Comment #7 From 2004-01-19 13:47:31 -------
Какой-то из старых apt-conf'ов, видно, нес.  apt-0.3.x?